# `aek deploy`

To execute this command simply use the following line

```bash
aek deploy my-project-name
```

This will "deploy" pull a project from the AEK registry and push the relevant assets to our servers and/or your specified app.

_note that the deploy process has changed significantly in v0.2.0 and the deploy command no longer rebuilds and deploys a new version on every deploy as it did previously. In order to build and deploy a new version, you must now explicitly include the `-n` flag_

## AEK Screens
The server looks for AEK Screens in the following locations

`/screens/*.twig`  
`/.build/screens/*.twig`

_the preferred location is in the `/.build` directory as adopted by the latest boilerplates, the other location is provided for legacy support_

These screens will be added to your apps AEK Screen collection. If a version of this screen already exists, it will be overwritten. If the screen is already associated with a menu option, the new version will go live immediately.

If you do not specify a package, the command will look in the users current working directory for a `package.json` file.

If you do not specify a version, again the command will look in the local `package.json` file or use the 'latest' tag from the AEK registry

## Public assets

In addition to screens, the deploy process also pushes any public assets to our static servers at `portal.ombiel.co.uk`

Public assets are searched for in the following locations

`/public/prod/**/*.*`  
`/public/allenv/**/.*.*`  
`/public/**/*.*`  
`/.build/public/**/*.*`  

_the preferred location is in the `/.build` directory as adopted by the latest boilerplates, the other locations are provided for legacy support_

--------------

Details for usage can be obtained using `aek help deploy`

```bash
Usage: aek deploy [package] [options]

package

Options:
   --username
   --password
   --hostname
   --version
   -n, --newversion
   --appManagerBase
   --bypassSSLVerification
```
