# AEK CLI

AEK Command Line Interface provides tools to create, deploy and manage your AEK projects.

The aim of this CLI is to provide an array of "commands" that can be user driven but also built into shell scripts.

## Installation

With Node.js, Yarn and Git installed, run the following command:

```bash
yarn global add https://npm.campusm.net/get/aek-cli
```

See [installation details](pages/20-installation/10-installation-details) for pre-installation steps and full installation details, including workarounds to installation issues.

## Usage

A user can simply type:

```bash
aek
```
... for a list of available commands.

Or a user may wish to trigger a specific command directly, e.g.

```bash
aek create
```
The interface will take the user through a series of menus and prompts to ascertain the specific options for that command.

Alternatively, for scripting purposes, the command and options can all be defined in a single command line, e.g.
```bash
aek create my-new-project --boilerplate=my-org-boilerplate --devHost=m.campusm.org
```

For help and info on options, use the `help` command, followed by the specific command you want help with:
```bash
aek help [command]
```
