const fs = require("fs-extra");
const Path = require("path");
const {get,find,forEach} = require("lodash");

const yarn = require("@ombiel/aek-cli-support/yarn");

module.exports = function addPackageTasks(commands) {
  const pkg = fs.readJsonSync(Path.resolve("./package.json"),{throws: false});
  const scripts = get(pkg,"scripts");

  if (scripts) {
    forEach(scripts,(c,name)=>{
      const existing = find(commands,{name});
      if (!existing) {
        commands.push({
          name,
          help: `alias for \`yarn run ${name}\``,
          callback: ()=>{
            const nameIndex = process.argv.indexOf(name);
            const argv = (nameIndex >= 0) 
              ? process.argv.slice(nameIndex)
              : [name];
            return yarn.command("run",["-s"].concat(argv));
          },
        });
      }
    });
  }
};
