const auth = require("@ombiel/aek-cli-support/auth");
const yarn = require("@ombiel/aek-cli-support/yarn");

module.exports = {
  name: "info",
  help: "get information for a package",
  options: [
    {
      name: "username",
      message: "Please enter your App Manager username",
      noPrompt: true,
    },
    {
      name: "password",
      message: "Please enter your App Manager password",
      inputType: "password",
      noPrompt: true,
    },
    {
      name: "name",
      position: 1,
      help: "Name of package",
      message: "Name of Package",
      required: true,
      promptIfMissing: true,
    },
  ],
  callback: function(options) {

    return auth.getUserDetails(options)
    .then(function() {
      let packageName = options.name;
      if (packageName.indexOf("@ombiel/") !== 0) {
        packageName = `@ombiel/${packageName}`;
      }

      return yarn.command("info",[packageName]);
    });
  },
};
