const auth = require("@ombiel/aek-cli-support/auth");
const yarn = require("@ombiel/aek-cli-support/yarn");


module.exports = {

  name: "install",
  help: `install package dependencies (see yarn install)`,
  options: [
    {
      name: "aekPackage",
      position: 1,
      noPrompt: true,
      help: "optional (legacy support)",
    },
    {
      name: "username",
      message: "Please enter your App Manager username",
      noPrompt: true,
    },
    {
      name: "password",
      message: "Please enter your App Manager password",
      inputType: "password",
      noPrompt: true,
    },
    // {
    //   name: "save-dev",
    //   type: "string",
    // }

  ],
  callback: function(options) {

    return auth.getUserDetails(options)
    .then(function(/*userDetails*/) {

      let {aekPackage} = options;

      const argv = process.argv.slice(process.argv.indexOf("install") + 1)
      .map(a=>(a === "--save-dev") ? "-D" : a);

      if (aekPackage) {
        if (aekPackage.indexOf("@ombiel") !== 0) {
          aekPackage = `@ombiel/${aekPackage}`;
        }

        const yarnArgs = [aekPackage].concat(argv.slice(1));

        return yarn.command("add",yarnArgs);

      }

      return yarn.command("install",argv);
    });
  },
};
