const log = require("@ombiel/aek-cli-support/logger");
const yarn = require("@ombiel/aek-cli-support/yarn");
const path = require("path");
const pullPackage = require("../pull-package");

module.exports = {
  name: "pull",
  help: "Pull a package from the oMbiel registry",

  options: [
    {
      name: "username",
      message: "Please enter your App Manager username",
      noPrompt: true,
    },
    {
      name: "password",
      message: "Please enter your App Manager password",
      inputType: "password",
      noPrompt: true,
    },
    {
      name: "package",
      message: "Name of package to pull",
      position: 1,
      required: true,
      promptIfMissing: true,
    },
    {
      name: "destination",
      message: "Where do you want the package extracted to",
      position: 2,
    },
  ],

  callback: function(options) {

    let packageName = options.package;

    if (packageName.indexOf("@ombiel/") !== 0) {
      packageName = `@ombiel/${packageName}`;
    }

    options.package = packageName;

    const destination = path.resolve(options.destination || packageName.split("/")[1]);

    options.destination = destination;

    return pullPackage(options).then(function() {
      log.info("Successfully extracted");
      process.chdir(destination);
      log.info("Installing");
      return yarn.command("install");
    });
  },
};
