const {extend} = require("lodash");
const auth = require("@ombiel/aek-cli-support/auth");
const yarn = require("@ombiel/aek-cli-support/yarn");


const authOptions = {
  options: [
    {
      name: "username",
      message: "Please enter your App Manager username",
      noPrompt: true,
    },
    {
      name: "password",
      message: "Please enter your App Manager password",
      inputType: "password",
      noPrompt: true,
    },

  ],
};

module.exports = function(name,help,ex = {}) {

  const {noAuth,...extra} = ex;

  const defaults = noAuth ? {} : authOptions;

  return extend({},defaults,{
    name,
    help,
    callback: function(options) {

      auth.getUserDetails(options)
      .then(function(/*userDetails*/) {

        const argv = process.argv.slice(process.argv.indexOf(name) + 1);

        return yarn.command(name,argv);
      });
    },
  },extra);
};
